#
# spec file for package password-store
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           password-store
Version:        1.6.5
Release:        4.1
Summary:        Stores, retrieves, generates, and synchronizes passwords
License:        GPL-2.0+
Group:          Productivity/Other
Url:            http://zx2c4.com/projects/password-store/
Source:         http://git.zx2c4.com/password-store/snapshot/%{name}-%{version}.tar.xz
BuildRequires:  git
BuildRequires:  gpg2
%if 0%{?suse_version} != 1315
BuildRequires:  pwgen
%endif
BuildRequires:  tree
BuildRequires:  xz
BuildRequires:  bash-completion
BuildRequires:  zsh
%if 0%{?suse_version} > 1320
BuildRequires:  fish
%endif
Requires:       gpg2
%if 0%{?suse_version} != 1315
Requires:       pwgen
%endif
Requires:       tree
Recommends:     xclip
Suggests:       git
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
With password-store, each password lives inside of a gpg encrypted file whose
filename is the title of the website or resource that requires the password.
These encrypted files may be organized into meaningful folder hierarchies,
copied from computer to computer, and, in general, manipulated using standard
command line file management utilities.

%package dmenu
Summary:        A dmenu interface to pass
Group:          Productivity/Other
Requires:       dmenu
Recommends:     xdotool
BuildArch:      noarch

%description dmenu
A dmenu interface to pass, the standard Unix password manager.

%prep
%setup -q

%build

%install
make DESTDIR=%{buildroot} FISHCOMP_PATH=%{buildroot}%{_datadir}/fish/completions FORCE_ALL=1 install %{?_smp_mflags}
install -D -m 0755 contrib/dmenu/passmenu %{buildroot}%{_bindir}/passmenu

%check
%if 0%{?suse_version} >= 1320
make test %{?_smp_mflags}
%endif

%files
%defattr(-,root,root)
%doc README COPYING
%{_mandir}/man1/pass.1.gz
%{_bindir}/pass
%if 0%{suse_version} <= 1320
%dir %{_datadir}/fish
%dir %{_datadir}/fish/completions
%endif
%{_datadir}/bash-completion/completions/pass
%{_datadir}/fish/completions/pass.fish
%{_datadir}/zsh/site-functions/_pass

%files dmenu
%defattr(-,root,root)
%doc contrib/dmenu/README.md
%{_bindir}/passmenu

%changelog
* Thu Jan 29 2015 tampakrap@opensuse.org
- Add conditionals on dependencies that don't exist on older distros
- Disable tests in older distros where the dependencies don't satisfy them
* Wed Jan 28 2015 tampakrap@opensuse.org
- Version bump 1.6.5:
  * 1.6.4 Changelog:
  * Features:
  * "add" is an alias of "insert"
  * `pass edit` will no longer make a commit if the password does not change
  * Symbolic links are now followed
  * Remove gpg agent check, due to the auto-starting gpg-agent in GnuPG 2.1
  * Bug Fixes:
  * Avoid trailing slash in `pass grep`
  * Account for $CLIP_TIME in messages
  * revelation2pass, keepassx2pass, and other script improvements
  * Fix .gpg extension in tree listings, and preserve colors
  * Improved support for getopt on OSX
  * Updates for zsh and fish completion autoloading
  * Always preserve TTY for pinentry
  * Only use encryption subkeys
  * Better clip error messages
  * No longer use hidden recipients
  * 1.6.5 Changelog:
  * Features:
  * Support Gpg4win alongside Cygwin
  * Bug Fixes:
  * Work around unit tests bug with GnuPG 2.1.0 and 2.1.1
  * Manually migrate unit tests keys to GnuPG 2.1 series
  * Restore support for GnuPG 2.0 series
- Add a few builddeps so that we don't own the dirs of the completion files
* Tue Jul 22 2014 tampakrap@opensuse.org
- Version bump 1.6.3 (no upstream changelog)
- Upstream added tests, enable them in the package (added according Build deps)
- New subpackage password-store-dmenu, that adds passmenu binary
  It is a dmenu interface to pass
- Installation of completion files is fully and properly handled by the Makefile
- Depend on tree 1.7.0
* Tue Jul 22 2014 tampakrap@opensuse.org
- Version bump 1.5.0 (no upstream changelog)
- (not updating to 1.6.3 yet because it requires tree 1.7.0)
- fix installation of completion files (based on 1.6.3 Makefile)
- spec-cleaner
* Wed Jun  5 2013 tchatzimichos@suse.com
- Fix formatting
* Thu Mar 21 2013 tchatzimichos@suse.com
- Fix previous commit: Properly rename zsh completion file to _pass
* Thu Mar 21 2013 tchatzimichos@suse.com
- Rename zsh completion file to _zsh in order to make it detectable by zsh
* Wed Mar 20 2013 tchatzimichos@suse.com
- Add dependencies
* Mon Mar 18 2013 tchatzimichos@suse.com
- Initial commit of password-store package, version 1.4.2
